{$IFNDEF VER90} //If not D2
  {$DEFINE D3_OR_hIGHER}
  {$IFNDEF VER100} //If not D3
    {$DEFINE D4_OR_HIGHER}
    {$IFNDEF VER120} //If not D4
      {DEFINE D5_OR_HIGHER}        //2.4
      {$IFNDEF VER130} //If not D5 //2.4
        {$DEFINE D6_OR_HIGHER}
      {$ENDIF}
    {$ENDIF}
  {$ENDIF}
{$ENDIF}


unit LsPicEditorRegD6;

interface

uses SysUtils, Controls, Graphics, TypInfo, LsPicEditorMainD6, LsPicEditorViewD6,
     Forms,
{$IFDEF D6_OR_HIGHER}
   DesignIntf, DesignEditors   //2.4
{$ELSE}
   DsgnIntf
{$ENDIF};

type
 TLsPictureEditor = class(TClassProperty)
 public
  function GetAttributes: TPropertyAttributes; override;
  procedure Edit; override;
 end;

procedure Register;

implementation



function TLsPictureEditor.GetAttributes: TPropertyAttributes;
begin
 Result := [paDialog]
end;

procedure TLsPictureEditor.Edit;
begin
  Application.CreateForm(TPEMainForm, PEMainForm);
  Application.CreateForm(TPEViewForm, PEViewForm);
  with PEMainForm do
  try
    Image1.Picture := TPicture(GetOrdValue);
    Image2.Picture := Image1.Picture;

    if ShowModal = mrOk then
      if (GetPropType^.Name = 'TPicture') then
        SetOrdValue(LongInt(Image1.Picture))
      else
        SetOrdValue(LongInt(Image1.Picture.Bitmap));
  finally
     Close;
  end; { finally }
  PEViewForm.Close;
end;

procedure Register;
begin
  RegisterPropertyEditor(TypeInfo(TPicture), nil, '', TLsPictureEditor);
  RegisterPropertyEditor(TypeInfo(TBitmap), nil, '', TLsPictureEditor);
end;

end.