unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, playCard, jpeg, ExtCtrls, webText;

type
  TForm1 = class(TForm)
    compCard1: TPlayCard;
    compCard2: TPlayCard;
    compCard3: TPlayCard;
    compCard4: TPlayCard;
    compCard5: TPlayCard;
    userCard1: TPlayCard;
    userCard2: TPlayCard;
    userCard3: TPlayCard;
    userCard4: TPlayCard;
    userCard5: TPlayCard;
    CardEng1: TCardEng;
    Image1: TImage;
    newBtn: TButton;
    addBtn: TButton;
    compPoint: TLabel;
    userPoint: TLabel;
    standBtn: TButton;
    webText1: TwebText;
    procedure newBtnClick(Sender: TObject);
    procedure addBtnClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure getUserPoint;
    procedure getCompPoint;
    procedure compTurn;
    procedure standBtnClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;
  userCardCnt,compCardCnt:integer;

implementation

{$R *.DFM}

procedure TForm1.compTurn;
var myCard:TPlaycard;
begin
  standBtn.Enabled := false;
  addBtn.enabled := false;
  getCompPoint;
  while(StrToInt(compPoint.caption)<=18)AND(compCardCnt<5)do
  begin
    inc(compCardCnt);
    myCard:=TPlayCard(findComponent('compCard'+IntToStr(compCardcnt)));
    myCard.visible := true;
    myCard.setCard(cardEng1.getCard);
    myCard.openCard;
    getCompPoint;
   end;
end;


procedure TForm1.getCompPoint;
var myPoint,cnt:integer;
    myCard:TPlayCard;
    A_cnt:integer;
begin
   myPoint:=0;
   A_cnt:=0;
   for Cnt:=1 to compCardCnt do
   begin
     myCard:=TPlayCard(FindComponent('compCard'+IntToStr(cnt)));
     myCard.openCard;
     myPoint:=myPoint+cardEng1.getcardweight(myCard);
     if myCard.getCardNumber = _A then inc(A_cnt);
   end;
   if(A_cnt>0)then
   begin
     if A_Cnt=1 then
     begin
       case compCardCnt of
         3:  begin
               myPoint:=myPoint-1;
               if myPoint>21 then myPoint:=myPoint-9;
             end;
        4,5 : myPoint:=myPoint-10;
       end;
     end;

     if A_Cnt>=2 then
     begin
       case compCardCnt of
         2:  myPoint:=21;
         3:  if myPoint>21 then myPoint:=myPoint-11;

        4,5 : begin
                if myPoint>21 then myPoint:=myPoint-11;
                if myPoint>21 then myPoint:=myPoint-9;
              end;
       end;
     end;
   end;
   compPoint.caption:=IntToStr(myPoint);
end;

procedure TForm1.getUserPoint;
var myPoint,cnt,A_cnt:integer;
    myCard:TPlayCard;
begin
   myPoint:=0;
   A_cnt:=0;
   for Cnt:=1 to userCardCnt do
   begin
     myCard:=TPlayCard(FindComponent('userCard'+IntToStr(cnt)));
     if myCard.getCardNumber = _A then inc(A_cnt);
     myPoint:=myPoint+cardEng1.getcardweight(myCard);
   end;
   if(A_cnt>0)then
   begin
     if userCardCnt=3 then
     begin
       myPoint:=myPoint-1;
       if myPoint>21 then myPoint:=myPoint-9;
     end else if userCardCnt>=4 then myPoint:=myPoint-10;
   end;
   userPoint.caption:=IntToStr(myPoint);
end;


procedure TForm1.newBtnClick(Sender: TObject);
var userCard,compCard:TplayCard;
    cnt:integer;
begin
   userPoint.caption:='0';
   compPoint.caption:='0';
   
   for cnt:=1 to 5 do
   begin
     compCard:=TPlayCard(findComponent('compCard'+IntToStr(cnt)));
     userCard:=TPlayCard(findComponent('userCard'+IntToStr(cnt)));
     userCard.closeCard;
     compCard.closeCard;
     if cnt>2 then
     begin
       compCard.Visible:=false;
       userCard.Visible:=false;
     end;
   end;

   cardEng1.shuffle;
   userCard1.setCard(cardEng1.getCard);
   compCard1.setCard(cardEng1.getCard);
   userCard2.setCard(cardEng1.getCard);
   compCard2.setCard(cardEng1.getCard);

   userCard1.openCard;
   usercard2.openCard;
   userCardCnt:=2;
   compCardCnt:=2;

   getUserPoint;

   addBtn.enabled := true;
   standBtn.Enabled := true;
end;

procedure TForm1.addBtnClick(Sender: TObject);
var myCard:TPlayCard;
begin
   if userCardCnt<5 then
   begin
      inc(userCardCnt);
      myCard:=TPlayCard(findComponent('userCard'+IntToStr(userCardcnt)));
      myCard.visible := true;
      myCard.setCard(cardEng1.getCard);
      myCard.openCard;
      getUserPoint;
   end else
   begin
     compTurn;
     addBtn.enabled := false;
   end;
   if StrToInt(userPoint.caption)>21 then compTurn;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
   // Set NO weight on Flower bcoz in Blackjack
   // Flower weight is not important
   cardEng1.setFlowerWeight(Spade,0);
   cardEng1.setFlowerWeight(Heart,0);
   cardEng1.setFlowerWeight(Cloves,0);
   cardEng1.setFlowerWeight(Diamond,0);

   // Initialise A,J,Q,K weight
   cardEng1.setNumberWeight(_A,11);
   cardEng1.setNumberWeight(_J,10);
   cardEng1.setNumberWeight(_Q,10);
   cardEng1.setNumberWeight(_K,10);
end;

procedure TForm1.standBtnClick(Sender: TObject);
begin
   compTurn;
end;

end.
