unit Debug;

interface

{$I VCheck.inc}

{$IFDEF V_DELPHI}
uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls;

type
  TDebugForm = class(TForm)
    DebugMemo: TMemo;
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  DebugForm: TDebugForm;
{$ENDIF}

procedure DebugLine(const S: String);

implementation

{$IFDEF V_DELPHI}

{$R *.DFM}

const
  MaxString = 1024;

procedure DebugLine(const S: String);
begin
  if DebugForm = nil then Application.CreateForm(TDebugForm, DebugForm);
  DebugForm.Show;
  With DebugForm.DebugMemo.Lines do begin
    if Count >= MaxString then Delete(0);
    Add(S);
  end;
end;
{$ELSE}
procedure DebugLine(const S: String);
begin
  writeln(S);
end;
{$ENDIF}

{$IFDEF V_DELPHI}
initialization
  DebugForm:=nil;
{$ENDIF}
end.
