program testlzh;

{$I VCheck.inc}

uses
  VLZHStrm{$IFDEF V_16}, WinCrt{$ENDIF};

{$IFNDEF V_16}{$APPTYPE CONSOLE}{$ENDIF}

procedure Main;

  procedure Error;
  begin
    writeln('Usage: testlzh option fromfile tofile'#13#10 +
      '    option: -c for compress, -d for decompress');
    Halt(1);
  end;

var
  S, FromFile, ToFile: String;
begin
  if ParamCount <> 3 then Error;
  FromFile:=ParamStr(2);
  ToFile:=ParamStr(3);
  S:=ParamStr(1);
  if Length(S) < 2 then Error;
  if Upcase(S[2]) = 'C' then LZHCompressFile(FromFile, ToFile)
  else if Upcase(S[2]) = 'D' then LZHDecompressFile(FromFile, ToFile)
  else Error;
end;

begin
  Main;
end.
