{ Version 990813. Copyright  Alexey A.Chernobaev, 1996-1999 }

unit Aliasv;

interface

{$I VCheck.inc}

uses
  ExtType, Int16g, Int16v, Int16sv, Int32g, Int32v, Int32sv, 
  UInt16g, UInt16v, UInt16sv, UInt32g, UInt32v, UInt32sv,
  F32g, F32v, F32sv, F64g, F64v, F64sv, F80g, F80v, F80sv;

type
{$IFDEF V_32}
  TGenericIntVector = TGenericInt32Vector;
  TIntVector = TInt32Vector;
  TSparseIntVector = TSparseInt32Vector;

  TGenericCardinalVector = TGenericUInt32Vector;
  TCardinalVector = TUInt32Vector;
  TSparseCardinalVector = TSparseUInt32Vector;
{$ELSE}
  TGenericIntVector = TGenericInt16Vector;
  TIntVector = TInt16Vector;
  TSparseIntVector = TSparseInt16Vector;

  TGenericCardinalVector = TGenericUInt16Vector;
  TCardinalVector = TUInt16Vector;
  TSparseCardinalVector = TSparseUInt16Vector;
{$ENDIF}

  TGenericIntegerVector = TGenericIntVector;
  TIntegerVector = TIntVector;
  TSparseIntegerVector = TSparseIntVector;

  TUIntVector = TCardinalVector;

{$IFDEF FLOAT_EQ_FLOAT32}
  TGenericFloatVector = TGenericFloat32Vector;
  TFloatVector = TFloat32Vector;
  TSparseFloatVector = TSparseFloat32Vector;
{$ELSE} {$IFDEF FLOAT_EQ_FLOAT64}
  TGenericFloatVector = TGenericFloat64Vector;
  TFloatVector = TFloat64Vector;
  TSparseFloatVector = TSparseFloat64Vector;
{$ELSE} {$IFDEF FLOAT_EQ_FLOAT80}
  TGenericFloatVector = TGenericFloat80Vector;
  TFloatVector = TFloat80Vector;
  TSparseFloatVector = TSparseFloat80Vector;
{$ENDIF} {$ENDIF} {$ENDIF}

implementation

end.
