{ Version 010425. Copyright  Alexey A.Chernobaev, 1996-2001 }

unit ISDic;
{
   integer-string.

  Integer-string dictionary.
}

interface

{$I VCheck.inc}

uses
  SysUtils, ExtType, Pointerv, VStream, VectErr;

type
  TDicKey = Int32;
  TDicData = String;

  {$I Dic.def}

  TIntStrDic = class(TDic)
  protected
    procedure WriteItem(VStream: TVStream; const Item: TTreeData); override;
    function ReadItem(VStream: TVStream): TTreeData; override;
  end;

  TIntStrDicClass = class of TIntStrDic;

  TIntStrDicIterator = TDicIterator;

const
  SKeyNotFound = 'Key ''%d'' not found';

implementation

{$I Dic.imp}

procedure TIntStrDic.WriteItem(VStream: TVStream; const Item: TTreeData);
begin
  VStream.WriteInt32(Item.Key);
  VStream.WriteString(Item.Data);
end;

function TIntStrDic.ReadItem(VStream: TVStream): TTreeData;
begin
  Result.Key:=VStream.ReadInt32;
  Result.Data:=VStream.ReadString;
end;

end.
