{ v.010703}
{
    :   Delphi  Free Pascal.
  Determining compiler version: Delphi and Free Pascal are now supported.
}
{$IFDEF FPC}
  {$DEFINE V_FREEPASCAL}
  {$MODE DELPHI}
{$ELSE}
  {$DEFINE V_DELPHI}
{$ENDIF}
{
     run-time .
  Enable all possible run-time checks.
}
{.$DEFINE VDEBUG}
{.$DEFINE CHECK_VECTORS}
{
         ,  
     Float ( ExtType),   .
  One and only one from the next three conditions controlling presentation of
  the generic real type Float (unit ExtType) must be enabled.
}
{.$DEFINE FLOAT_EQ_FLOAT32}
{$DEFINE FLOAT_EQ_FLOAT64}
{.$DEFINE FLOAT_EQ_FLOAT80}
{
  Run-time     .
  Run-time checks can be enabled independently.
}
{$IFDEF VDEBUG}
  {$IFDEF V_FREEPASCAL}
    {   Free Pascal   }
    { must be turned off when using Free Pascal }
    {$R-}
  {$ELSE}
    {$R+}
  {$ENDIF}
  {$Q+}
  {$S+}
  {$IFNDEF V_FREEPASCAL}
    {$IFNDEF VER80}
      {$O-}
    {$ENDIF}
  {$ENDIF}
  {$DEFINE CHECK_VECTORS}
  {$DEFINE CHECK_MATRIXES}
  {$DEFINE CHECK_ATTRS}
  {$DEFINE CHECK_GRAPHS}
  {$DEFINE CHECK_MATH}
{$ENDIF}
{
    ,    
  (, ,    .).   
   ,     , 
       .
  Enable compatibility mode allowing use of deprecate facilities (procedures,
  functions, class methods, etc.). It is recommended to disable this condition
  when it's possible to update program code written earlier.
}
{.$DEFINE V_ALLOW_DEPRECATE}
{
    .
  Compiler version detection.
}
{$IFDEF V_FREEPASCAL}       { Free Pascal }
  {$DEFINE V_32}            { 32-bit environment }
  {$IFDEF WIN32}
    {$DEFINE V_WIN}
  {$ENDIF}
{$ENDIF}
{$IFDEF V_DELPHI}           { Delphi }
  {$DEFINE V_WIN}           { Delphi works only under Windows still... }
  {$DEFINE INT64_EQ_COMP}   { will be undefined for Delphi >= 4.0 (see below) }
  {$IFNDEF VER80}           { Delphi 1.0 }
    {$DEFINE V_32}          { Delphi >= 2.0: 32-bit environment }
    {$IFNDEF VER90}         { Delphi 2.0 }
      {$IFNDEF VER93}       { C++ Builder 1.0 }
        {$IFNDEF VER100}    { Delphi 3.0 }
          {$IFNDEF VER110}
            {$DEFINE V_D4}  { Delphi 4.0 or higher }
            {$UNDEF INT64_EQ_COMP}
            {$IFNDEF VER120}
{.$DEFINE INT64_EQ_COMP} { D5 bug work-around }
              {$DEFINE V_D5}  { Delphi 5.0 or higher }
              {$IFNDEF VER130}
                {$DEFINE V_D6}  { Delphi 6.0 or higher }
              {$ENDIF}
            {$ENDIF}
          {$ENDIF}
        {$ENDIF}
      {$ENDIF}
    {$ENDIF}
  {$ELSE}
    {$DEFINE V_16}          { Delphi 1.0: 16-bit environment }
  {$ENDIF}
{$ENDIF}
{
           (
     ,     
          
  CheckFree);  -    , , -, 
   , , -,   "free_err.log",  
  ,     ,    
   .
  Enable run-time checks for correct object destruction (these checks will work
  if class constructors and destructors call special registration procedures
  from the CheckFree unit); if some objects will not be freed then finalization
  code of CheckFree will show warning message and write class names of unfreed
  objects to file "free_err.log", residing in the same directory as the application.
}
{$IFDEF V_DELPHI}
  {$IFDEF VDEBUG}
    {$DEFINE CHECK_OBJECTS_FREE}
  {$ENDIF}
  {$IFDEF V_32}
    {  ""  (warnings) }
    { turns off "checked" compiler warnings }
    {$DEFINE NOWARN}
    {  ""  (hints) }
    { turns off "checked" compiler hints }
    {$DEFINE NOHINTS}
  {$ENDIF}
{$ENDIF}
{
  :    i386.
  Platform: only i386 is now supported.
}
{$DEFINE V_PLATFORM_I386}
{
  USE_ASM  USE_MMX -  ""   
    MMX- ;     
   , ..   ,   
    (R-, Q-)    MMX.
  USE_ASM and USE_MMX are only "requests" for using assembler fragments and
  MMX instructions; the library units must check that appropriate compiler options
  (R-, Q-) are used and that the processor supports MMX.
}
{$IFDEF V_PLATFORM_I386}
  {$IFDEF V_32}
    {$IFDEF V_FREEPASCAL}
      {$ASMMODE INTEL}
    {$ENDIF}
    {$DEFINE USE_ASM}
    {$DEFINE USE_MMX}
    {$DEFINE USE_3DNow}
  {$ENDIF}
{$ENDIF}
{
     .
  Enable long strings (AnsiString) usage.
}
{$IFDEF V_32}
  {$DEFINE V_LONGSTRINGS}
  {$LONGSTRINGS ON}
{$ENDIF}
