{ Version 000913. Copyright  Alexey A.Chernobaev, 1996-2000 }

unit VFStrm64;

interface

{$I VCheck.inc}

uses
  SysUtils, ExtType, VMapStrm, VStrm64, Crc32, Windows, VectErr;

{$IFDEF INT64_EQ_COMP}
  {$DEFINE FLOAT_ILONG}
{$ENDIF}

type
  TVBaseStream = TVStream64;

{$I VFStrm.def}

  TVFileStream64 = TVFileStream;
  TVCRCFileStream64 = TVCRCFileStream;
  TVBufFileStream64 = TVBufFileStream;

implementation

{$I VFStrm.imp}

constructor TVFileStream.Create(const AFileName: String; Mode: Word);
begin
  {$IFDEF CHECK_OBJECTS_FREE}
  RegisterObjectCreate(Self);
  {$ENDIF}
  inherited Create;
  FFileName:=AFileName;
  FFileMode:=Mode;
  OpenHandle(Mode);
  FSize:=-1;
end;

function TVFileStream.GetSize: ILong;
begin
  if FSize < 0 then begin
    if FHandle = BadHandle then ReopenHandle;
    QWordRec(Result).Lo:=GetFileSize(FHandle, @QWordRec(Result).Hi);
    if (QWordRec(Result).Lo = $FFFFFFFF) and (GetLastError <> NO_ERROR) then
      Error(SGetSizeError);
    FSize:=Result;
  end
  else
    Result:=FSize;
end;

end.
