{ Version 010813. Copyright (c) Alexey A.Chernobaev, 1996-2001 }

unit VectErr;

interface

{$I VCheck.inc}

uses
  SysUtils;

const
  SAlgorithmFailure = 'Algorithm failure';
  SAssignError = 'Assign error';
  SBOF = 'BOF reached';
  SCanNotConvertToFloat = 'Can''t convert ''%s'' to float';
  SCanNotConvertToInteger = 'Can''t convert ''%s'' to integer';
  SCanNotRollBack = 'Can''t roll back';
  SCRCError = 'CRC error';
  SCreateMappingError = 'Error creating file mapping object ''%s'' (%d)';
  SDataTooLarge = 'Data too large (%d)';
  SDuplicateError = 'Duplicate values not allowed';
  SEmptyQueue = 'Queue is empty';
  SEmptyStack = 'Stack is empty';
  SEOF = 'EOF reached';
  SErrorInParameters = 'Error in parameters';
  SFileCreateError = 'Can''t create file';
  SFileMappingError = 'Error mapping file "%s" (%d)';
  SFileNotFound = 'File "%s" not found';
  SFileOpenError = 'Can''t open file';
  SFileReadError = 'File read error';
  SFileTooLong = 'File is too long (> 2Gb)';
  SFileWriteError = 'File write error';
  SFlushError = 'Flush error';
  SGetSizeError = 'Get size error';
  SIllegalBool = 'Illegal boolean ''%s''';
  SIllegalChar = 'Illegal character ''%s''';
  SIllegalDateTime = 'Illegal date/time ''%s''';
  SIllegalUseOfCRCStream = 'Illegal use of CRC stream';
  SIncompatibleClasses = 'Incompatible classes';
  SInternalError = 'Internal error';
  SMethodNotApplicable = 'Method not applicable';
  SNoCurrentValue = 'No current value';
  SNotImplemented = 'Method not implemented';
  SOpenMappingError = 'Error opening file mapping object ''%s'' (%d)';
  SRangeError = 'Range check error (%d)';
  SReadAfterEnd = 'Read after end error';
  SSeekError = 'Seek error (%d)';
  SSetSizeError = 'Set size error';
  SStreamCorrupted = 'Stream is corrupted';
  SStreamError = 'Stream error';
  STooManyValues = 'Too many values';
  SValueExpected = 'Value expected';
  SWrongMatrixSize = 'Wrong matrix size';
  SWrongTextStreamFormat = 'Wrong text stream format';
  SWrongVectorSize = 'Wrong vector size (%d)';

function ErrMsg(const Msg: String; const Data: array of const): String;

implementation

function ErrMsg(const Msg: String; const Data: array of const): String;
begin
  Result:=Msg;
  if Pos('%', Result) > 0 then Result:=Format(Result, Data);
end;

end.
