unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Wizard, ImgList, ExtCtrls, StdCtrls, ComCtrls, ShellAPi;
type
  TForm1 = class(TForm)
    Button1: TButton;
    Button2: TButton;
    Image1: TImage;
    Notebook1: TNotebook;
    ImageList1: TImageList;
    Wizard1: TWizard;
    Button3: TButton;
    Bevel1: TBevel;
    Image2: TImage;
    CheckBox1: TCheckBox;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    RichEdit1: TRichEdit;
    CheckBox2: TCheckBox;
    Button4: TButton;
    Label6: TLabel;
    RichEdit2: TRichEdit;
    CheckBox3: TCheckBox;
    procedure CheckBox1Click(Sender: TObject);
    procedure CheckBox2Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
    procedure Button4Click(Sender: TObject);
    procedure Wizard1Finish(Sender: TObject);
    procedure Wizard1Cancel(Sender: TObject);
  private
    { Private declarations }
  public
    NormalStep : tStrings;
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.CheckBox1Click(Sender: TObject);
begin
 If Not CheckBox1.Checked then
 Begin
   Wizard1.PageSteps.Clear;
   Wizard1.PageSteps.Add('Welcome');
   Wizard1.PageSteps.Add('Too Bad');
 End else
 Begin
   Wizard1.PageSteps.Clear;
   Wizard1.PageSteps.Assign(NormalStep);
 End;
end;

procedure TForm1.CheckBox2Click(Sender: TObject);
begin
 If CheckBox1.Checked then
 Begin
   Wizard1.PageSteps.Clear;
   Wizard1.PageSteps.Add('Welcome');
   Wizard1.PageSteps.Add('Nitroclicks');
   Wizard1.PageSteps.Add('Sign up');
   Wizard1.PageSteps.Add('Thank You');
 End else
 Begin
   Wizard1.PageSteps.Clear;
   Wizard1.PageSteps.Assign(NormalStep);
 End;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  NormalStep := tStringList.Create;
  NormalStep.Add('Welcome');
  NormalStep.Add('Nitroclicks');
  NormalStep.Add('FAQ');
  NormalStep.Add('Thank You');
  Wizard1.PageSteps.Clear;
  Wizard1.PageSteps.Assign(NormalStep);
end;

procedure TForm1.FormDestroy(Sender: TObject);
begin
  NormalStep.Free;
end;

procedure TForm1.Button4Click(Sender: TObject);
begin
  ShellExecute(Handle, 'open' ,'http://www.nitroclicks.com/join.phtml?jazar','','',SW_NORMAL);
end;

procedure TForm1.Wizard1Finish(Sender: TObject);
begin
 Close;
end;

procedure TForm1.Wizard1Cancel(Sender: TObject);
begin
 ShowMessage('Good Bye');
 Close;
end;

end.
