{ Version 010608. Copyright  Alexey A.Chernobaev, 1996-2001 }

unit IPDic;
{
   integer-pointer.

  Integer-pointer dictionary.
}

interface

{$I VCheck.inc}

uses
  SysUtils, ExtType, Pointerv, VStream, VectErr;

type
  TDicKey = Int32;
  TDicData = Pointer;

  {$I Dic.def}

  TIntPtrDic = class(TDic)
  protected
    procedure FreeItem(const Item: TTreeData);
  public
    procedure FreeItems;
    {   ,    TObject }
    { frees all items interpreting them as TObject }
  end;

  TIntPtrDicIterator = TDicIterator;

const
  SKeyNotFound = 'Key ''%d'' not found';

implementation

{$I Dic.imp}

procedure TIntPtrDic.FreeItem(const Item: TTreeData);
begin
  TObject(Item.Data).Free;
end;

procedure TIntPtrDic.FreeItems;
begin
  if Self <> nil then Traversal(FreeItem);
end;

end.
